### Method

# Handy Leaflet get_adjacent_child

since: 1.0

#### Declaration [src]

    GtkWidget*
    hdy_leaflet_get_adjacent_child (
      HdyLeaflet* self,
      HdyNavigationDirection direction
    )

#### Description [src]

Finds the previous or next navigatable child.

This will be the same widget `hdy_leaflet_navigate()` will navigate to.

If there’s no child to navigate to, `NULL` will be returned instead.

Available since: 1.0

#### Parameters

`direction`

  Type: `HdyNavigationDirection`

  The direction.

#### Return value

Type: `GtkWidget`

The previous or next child.

The returned data is owned by the instance.
The return value can be `NULL`.